<?php
        session_start();

        if(file_exists("./funkce.php")) {
                include("./funkce.php");
        } else {
                die("Soubor <b>funkce.php</b> nebyl nalezen!");
        }

        je_admin();

        if(isset($_POST[neodeslat_form])) {
                header("Location: admin_zaloha.php");
                exit();
        } elseif(isset($_POST[zalohovat])) {

                $tabulky = Array("forum_fora", "forum_ip", "forum_ip_ban", "forum_konfigurace", "forum_potvrdit", "forum_prispevky", "forum_skupiny", "forum_stat", "forum_temata", "forum_uzivatele", "forum_zap_heslo");

                $sloupce = Array();

                foreach($tabulky as $tabulka) {
                        $sloupce = Array();
                        $vysledek = Array();
                        $query = dotaz("SELECT * FROM $tabulka;");
                        if(mysql_num_rows($query) != 0) {
                                $sloupcu = mysql_num_fields($query);
                                for($i = 0; $i < $sloupcu; $i++) {
                                        $sloupce[] = mysql_field_name($query, $i);
                                }
                                $sloupce = "(".implode(",", $sloupce).")";;
                                while($row = mysql_fetch_array($query)) {
                                        $radek = Array();
                                        for($i = 0; $i < $sloupcu; $i++) {
                                                $radek[] = "'".addslashes($row[$i])."'";
                                        }
                                        $vysledek[] = "(".implode(",", $radek).")";
                                }
                                $sql .= " ?\"\"? \n\n\nINSERT INTO ".$tabulka." ".$sloupce." VALUES ".implode(",", $vysledek).";";
                        }
                }

                $sql = date("j.n.Y, G:i").$sql;
                $file = fopen("zaloha.sql","w+");
                fputs($file, $sql);
                fclose($file);
                header("Location: zaloha.php");
        } elseif(isset($_POST[obnovit])) {
                move_uploaded_file($_FILES['soubor']['tmp_name'], "zaloha.sql") or $chyba = "Při uploadu souboru došlo k chybě - zkuste prosím akci opakovat.";
                $file = fopen("zaloha.sql","r");
                $data = fread ($file, filesize("zaloha.sql"));
                fclose($file);
                $data = explode("?\"\"?", $data);
                $oznam = "Vámi nahraný soubor obsahuje zálohu z <b>".$data[0]."</b>";
        } elseif(isset($_POST[obnovit2])) {
                $tabulky = Array("forum_fora", "forum_ip", "forum_ip_ban", "forum_konfigurace", "forum_potvrdit", "forum_prispevky", "forum_skupiny", "forum_stat", "forum_temata", "forum_uzivatele", "forum_zap_heslo");
                foreach($tabulky as $tabulka) {
                        dotaz("TRUNCATE $tabulka;");
                }
                $file = fopen("zaloha.sql","r");
                $data = fread ($file, filesize("zaloha.sql"));
                fclose($file);
                $data = explode("?\"\"?", $data);
                $i = 0;
                foreach($data as $sql) {
                        if($i != 0) {
                                dotaz($sql);
                        }
                        $i++;
                }
                header("Location: index.php");
        }

        echo hlavicka("Administrace | Záloha/obnovení fóra", TRUE);
        echo logo();
        echo menu();
?>
        <div id="navigace">Administrace - Záloha/obnovení fóra</div>
        <form action="admin_zaloha.php" method="post">
                <fieldset>
                        <legend>Záloha fóra</legend>
                        <label>Chcete vytvořit soubor se zálohou databáze fóra a poté jej nabídnout ke stažení?</label>
                        <input type="submit" value="Ano" name="zalohovat" /> <input type="submit" value="Ne" name="neodeslat_form" />
                        <br /><br />
                </fieldset>
        </form>
        <form action="admin_zaloha.php" method="post" enctype="multipart/form-data">
                <fieldset>
                        <legend>Obnovení fóra</legend>
<?php
        if(empty($oznam)) {
                echo "\t\t\t<label>Pro obnovení fóra vyberte soubor se zálohou. Poté budete ještě jednou dotázán, zda chcete fórum z dané zálohy obnovit.</label>
                        <input type=\"file\" name=\"soubor\" /><br /><br />
                        <input type=\"submit\" value=\"Pokračovat\" name=\"obnovit\" />\n";
        } else {
                echo "\t\t\t<label>".$oznam.". Přejete si tuto zálohu nahrát?</label>
                        <input type=\"submit\" value=\"Ano\" name=\"obnovit2\" /> <input type=\"submit\" value=\"Ne\" name=\"neodeslat_form\" />\n";
        }

        echo "\t\t\t<br /><br />\n\t\t</fieldset>\n\t</form>\n".$paticka; 
?>